<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: UAInterface Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d86/class_u_a_interface.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">UAInterface Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ab5f70ede8348775c22ba3b889471fa2e"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#ab5f70ede8348775c22ba3b889471fa2e">UAInterface</a> ()</td></tr>
<tr class="separator:ab5f70ede8348775c22ba3b889471fa2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ed72380ca0b8797a8caf12c18971d8d"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a5ed72380ca0b8797a8caf12c18971d8d">~UAInterface</a> ()</td></tr>
<tr class="separator:a5ed72380ca0b8797a8caf12c18971d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3468a9c99e6712ea4246b9f53eb1004"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#ad3468a9c99e6712ea4246b9f53eb1004">SyncedValue_ID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="memdesc:ad3468a9c99e6712ea4246b9f53eb1004"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get action state.  <a href="../../d3/d86/class_u_a_interface.html#ad3468a9c99e6712ea4246b9f53eb1004">More...</a><br /></td></tr>
<tr class="separator:ad3468a9c99e6712ea4246b9f53eb1004"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28b7546430324d3b526cec9f4c87b2e4"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a28b7546430324d3b526cec9f4c87b2e4">SyncedValue</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="separator:a28b7546430324d3b526cec9f4c87b2e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7522bdbee8f51f9b116bd73cdfde9f82"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a7522bdbee8f51f9b116bd73cdfde9f82">SyncedPress_ID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="memdesc:a7522bdbee8f51f9b116bd73cdfde9f82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true just in frame, when action was invoked (button was pressed)  <a href="../../d3/d86/class_u_a_interface.html#a7522bdbee8f51f9b116bd73cdfde9f82">More...</a><br /></td></tr>
<tr class="separator:a7522bdbee8f51f9b116bd73cdfde9f82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94b47352e1378fcf204e4587e811b698"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a94b47352e1378fcf204e4587e811b698">SyncedPress</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="separator:a94b47352e1378fcf204e4587e811b698"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b649bb5453144f4b05ea17db8c6ae44"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a4b649bb5453144f4b05ea17db8c6ae44">SyncedRelease_ID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="memdesc:a4b649bb5453144f4b05ea17db8c6ae44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true just in frame, when release action happened (button was released)  <a href="../../d3/d86/class_u_a_interface.html#a4b649bb5453144f4b05ea17db8c6ae44">More...</a><br /></td></tr>
<tr class="separator:a4b649bb5453144f4b05ea17db8c6ae44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34a69a914f5e80992d544cc6e3c00bfa"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a34a69a914f5e80992d544cc6e3c00bfa">SyncedRelease</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="separator:a34a69a914f5e80992d544cc6e3c00bfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2a4836fa182dc498d60895895ec3524"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#ae2a4836fa182dc498d60895895ec3524">SyncedHold_ID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="memdesc:ae2a4836fa182dc498d60895895ec3524"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true just in frame, when hold action invoked (button is hold)  <a href="../../d3/d86/class_u_a_interface.html#ae2a4836fa182dc498d60895895ec3524">More...</a><br /></td></tr>
<tr class="separator:ae2a4836fa182dc498d60895895ec3524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45b382e070577658084c629268255e5a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a45b382e070577658084c629268255e5a">SyncedHold</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="separator:a45b382e070577658084c629268255e5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d8075cd6aa241daa433343bc88fa5e2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a8d8075cd6aa241daa433343bc88fa5e2">SyncedDbl_ID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="memdesc:a8d8075cd6aa241daa433343bc88fa5e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true just in frame, when double click action invoked (button double clicked)  <a href="../../d3/d86/class_u_a_interface.html#a8d8075cd6aa241daa433343bc88fa5e2">More...</a><br /></td></tr>
<tr class="separator:a8d8075cd6aa241daa433343bc88fa5e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29136907e4b7f98bcc79247f6899b1e8"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a29136907e4b7f98bcc79247f6899b1e8">SyncedDbl</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="separator:a29136907e4b7f98bcc79247f6899b1e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a982487a74dd85bdd9c073efb3d02f227"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a982487a74dd85bdd9c073efb3d02f227">SyncedClick_ID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="memdesc:a982487a74dd85bdd9c073efb3d02f227"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true just in frame, when single click action invoked (button pressed and released before hold timer)  <a href="../../d3/d86/class_u_a_interface.html#a982487a74dd85bdd9c073efb3d02f227">More...</a><br /></td></tr>
<tr class="separator:a982487a74dd85bdd9c073efb3d02f227"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43b0782be76dcb773c49c1c06b3957b9"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d86/class_u_a_interface.html#a43b0782be76dcb773c49c1c06b3957b9">SyncedClick</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> action, <a class="el" href="../../d9/db9/classbool.html">bool</a> check_focus=true)</td></tr>
<tr class="separator:a43b0782be76dcb773c49c1c06b3957b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d5a/_u_a_input_8c_source.html#l00095">95</a> of file <a class="el" href="../../d4/d5a/_u_a_input_8c_source.html">UAInput.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab5f70ede8348775c22ba3b889471fa2e" name="ab5f70ede8348775c22ba3b889471fa2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5f70ede8348775c22ba3b889471fa2e">&#9670;&#160;</a></span>UAInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void UAInterface::UAInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d5a/_u_a_input_8c_source.html#l00097">97</a> of file <a class="el" href="../../d4/d5a/_u_a_input_8c_source.html">UAInput.c</a>.</p>

</div>
</div>
<a id="a5ed72380ca0b8797a8caf12c18971d8d" name="a5ed72380ca0b8797a8caf12c18971d8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ed72380ca0b8797a8caf12c18971d8d">&#9670;&#160;</a></span>~UAInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void UAInterface::~UAInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d5a/_u_a_input_8c_source.html#l00098">98</a> of file <a class="el" href="../../d4/d5a/_u_a_input_8c_source.html">UAInput.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a43b0782be76dcb773c49c1c06b3957b9" name="a43b0782be76dcb773c49c1c06b3957b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43b0782be76dcb773c49c1c06b3957b9">&#9670;&#160;</a></span>SyncedClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedClick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a982487a74dd85bdd9c073efb3d02f227" name="a982487a74dd85bdd9c073efb3d02f227"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a982487a74dd85bdd9c073efb3d02f227">&#9670;&#160;</a></span>SyncedClick_ID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedClick_ID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true just in frame, when single click action invoked (button pressed and released before hold timer) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">action</td><td>id of action, defined in <a class="el" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html">4_World/Classes/UserActionsComponent/_constants.c</a> </td></tr>
    <tr><td class="paramname">check_focus</td><td>if true and game is unfocused, returns 0; otherwise returns actual value </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if action was released in that frame, false otherwise </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d3/d86/class_u_a_interface.html#a43b0782be76dcb773c49c1c06b3957b9">SyncedClick()</a> </dd></dl>

</div>
</div>
<a id="a29136907e4b7f98bcc79247f6899b1e8" name="a29136907e4b7f98bcc79247f6899b1e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29136907e4b7f98bcc79247f6899b1e8">&#9670;&#160;</a></span>SyncedDbl()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedDbl </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d8075cd6aa241daa433343bc88fa5e2" name="a8d8075cd6aa241daa433343bc88fa5e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d8075cd6aa241daa433343bc88fa5e2">&#9670;&#160;</a></span>SyncedDbl_ID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedDbl_ID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true just in frame, when double click action invoked (button double clicked) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">action</td><td>id of action, defined in <a class="el" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html">4_World/Classes/UserActionsComponent/_constants.c</a> </td></tr>
    <tr><td class="paramname">check_focus</td><td>if true and game is unfocused, returns 0; otherwise returns actual value </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if action was released in that frame, false otherwise </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d3/d86/class_u_a_interface.html#a29136907e4b7f98bcc79247f6899b1e8">SyncedDbl()</a> </dd></dl>

</div>
</div>
<a id="a45b382e070577658084c629268255e5a" name="a45b382e070577658084c629268255e5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45b382e070577658084c629268255e5a">&#9670;&#160;</a></span>SyncedHold()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedHold </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae2a4836fa182dc498d60895895ec3524" name="ae2a4836fa182dc498d60895895ec3524"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2a4836fa182dc498d60895895ec3524">&#9670;&#160;</a></span>SyncedHold_ID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedHold_ID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true just in frame, when hold action invoked (button is hold) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">action</td><td>id of action, defined in <a class="el" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html">4_World/Classes/UserActionsComponent/_constants.c</a> </td></tr>
    <tr><td class="paramname">check_focus</td><td>if true and game is unfocused, returns 0; otherwise returns actual value </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if action was released in that frame, false otherwise </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d3/d86/class_u_a_interface.html#a45b382e070577658084c629268255e5a">SyncedHold()</a> </dd></dl>

</div>
</div>
<a id="a94b47352e1378fcf204e4587e811b698" name="a94b47352e1378fcf204e4587e811b698"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94b47352e1378fcf204e4587e811b698">&#9670;&#160;</a></span>SyncedPress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedPress </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7522bdbee8f51f9b116bd73cdfde9f82" name="a7522bdbee8f51f9b116bd73cdfde9f82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7522bdbee8f51f9b116bd73cdfde9f82">&#9670;&#160;</a></span>SyncedPress_ID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedPress_ID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true just in frame, when action was invoked (button was pressed) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">action</td><td>id of action, defined in <a class="el" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html">4_World/Classes/UserActionsComponent/_constants.c</a> </td></tr>
    <tr><td class="paramname">check_focus</td><td>if true and game is unfocused, returns 0; otherwise returns actual value </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if action was invoked in that frame, false otherwise </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d3/d86/class_u_a_interface.html#a94b47352e1378fcf204e4587e811b698">SyncedPress()</a> </dd></dl>

</div>
</div>
<a id="a34a69a914f5e80992d544cc6e3c00bfa" name="a34a69a914f5e80992d544cc6e3c00bfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34a69a914f5e80992d544cc6e3c00bfa">&#9670;&#160;</a></span>SyncedRelease()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedRelease </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b649bb5453144f4b05ea17db8c6ae44" name="a4b649bb5453144f4b05ea17db8c6ae44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b649bb5453144f4b05ea17db8c6ae44">&#9670;&#160;</a></span>SyncedRelease_ID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> UAInterface::SyncedRelease_ID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true just in frame, when release action happened (button was released) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">action</td><td>id of action, defined in <a class="el" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html">4_World/Classes/UserActionsComponent/_constants.c</a> </td></tr>
    <tr><td class="paramname">check_focus</td><td>if true and game is unfocused, returns 0; otherwise returns actual value </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if action was released in that frame, false otherwise </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d3/d86/class_u_a_interface.html#a34a69a914f5e80992d544cc6e3c00bfa">SyncedRelease()</a> </dd></dl>

</div>
</div>
<a id="a28b7546430324d3b526cec9f4c87b2e4" name="a28b7546430324d3b526cec9f4c87b2e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28b7546430324d3b526cec9f4c87b2e4">&#9670;&#160;</a></span>SyncedValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> UAInterface::SyncedValue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3468a9c99e6712ea4246b9f53eb1004" name="ad3468a9c99e6712ea4246b9f53eb1004"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3468a9c99e6712ea4246b9f53eb1004">&#9670;&#160;</a></span>SyncedValue_ID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> UAInterface::SyncedValue_ID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>action</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>check_focus</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get action state. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">action</td><td>id of action, defined in <a class="el" href="../../dd/d61/4___world_2_classes_2_user_actions_component_2__constants_8c.html">4_World/Classes/UserActionsComponent/_constants.c</a> </td></tr>
    <tr><td class="paramname">check_focus</td><td>if true and game is unfocused, returns 0; otherwise returns actual value </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>actual action state as float, for regular two state buttons returns 0 or 1, for analog buttons/axes returns value in interval &lt;0, 1&gt; with consideration of defined deadzones </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d2/d88/class_synced_value.html">SyncedValue()</a> </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/InputAPI/<a class="el" href="../../d4/d5a/_u_a_input_8c_source.html">UAInput.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d86/class_u_a_interface.html">UAInterface</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
